## libgdamm3.0 3.0.0-maemo0

=== debian/changelog ===
libgdamm3.0 (3.0.0-maemo0) unstable; urgency=low

  * adapted for maemo platform

 -- Johannes Schmid <johannes.schmid@openismus.com>  Tue, 19 Aug 2008 10:47:50 +0200

libgdamm3.0 (3.0.0-2) unstable; urgency=low

  * Drop Conflicts/Replaces from shared library package.  They should be
    able to install in parallel.
  * Add `DM-Upload-Allowed: yes' field.  Thanks Loïc for advocacy.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 19 Mar 2008 20:47:11 +0800

libgdamm3.0 (3.0.0-1) unstable; urgency=low

  * New upstream release.
    + Bump soversion to 10 to match upstream changes.
    + Add proper Conflicts/Replaces to prepare for sync from Ubuntu.
  * Add Debian GNOME Team as uploader.
  * Refine debian/rules to be consistent with other GNOME Packages:
    + Use gnome-pkg-tools, and set GNOME_MODULE := libgdamm
    + Set shlibs version to 3.0.0 due to new API.
    + Set proper exclude rules.
    + Use chrpath hack to get rid of rpath on 64bit system.
    + Bump compat level to 6, and b-dep on debhelper >= 6, cdbs >= 0.4.51.
  * Refine debian/control*:
    + Add chrpath, gnome-pkg-tools to Build-depends.
    + Wrap fields for easier patch.
    + Add ${misc:Depends} and ${shlibs:Depends} to Depends.
  * Add libgdamm-3.0-doc.doc-base.libgdamm3.0-reference.
  * Add libgdamm-3.0-doc.examples to ship examples.
  * Refine libgdamm-3.0-doc.docs install path to retain original directory
    hierarchy.
  * Refine watch file.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 17 Mar 2008 10:09:54 +0800

libgdamm3.0 (2.9.81-1) unstable; urgency=low

  * Import Ubuntu package in Debian
  * New upstream version.
  * Change Maintainer address to point at me
  * Update Standars-Version to 3.7.3. No changes needed.
  * Change how binary packages are named, from libgdamm-3.0 to libgdamm3.0
  * Change package descriptions to made them more similar to the ones included
  in libgdamm1.3 package.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 10 Feb 2008 17:01:48 +0100

libgdamm3.0 (2.9.8-0ubuntu1) gutsy; urgency=low

  * New upstream release:
    - Rename set(GType) to set_g_type(GType).
    - set(Glib::Date): Correct the GValue initialization.

  * debian/watch:
    - Added
  * debian/control:
    - Modified Maintainer to Desktop Team
    - Updated soname
  * debian/libgdamm-3.0-7.install:
    - renamed to libgdamm-3.0-8.install

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Thu, 13 Sep 2007 12:15:27 -0300

libgdamm3.0 (2.9.7-0ubuntu3) gutsy; urgency=low

  * Rebuild against glib, now that the fix is actually applied.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 25 Jun 2007 16:28:10 +0200

libgdamm3.0 (2.9.7-0ubuntu2) gutsy; urgency=low

  * Rebuild for glib ABI change.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Mon, 25 Jun 2007 11:25:30 +0200

libgdamm3.0 (2.9.7-0ubuntu1) gutsy; urgency=low

  * New upstream release:
    - DictConstraint: pkey_set_fields(), pkey_get_fields(), 
      fkey_set_fields(), fkey_set_actions(), fkey_get_actions(), 
      unique_set_fields(), unique_get_fields(): Use SListHandle, so the 
      application coder can use standard C++ containers.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 14 Jun 2007 10:09:47 +0200

libgdamm3.0 (2.9.6-0ubuntu1) gutsy; urgency=low

  * New upstream release:
    - Config: get_provider_by_name(), get_providers(), get_value_string(): 
      Fix memory problems, fixing crashes.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 12 Jun 2007 15:07:07 +0200

libgdamm3.0 (2.9.5-0ubuntu1) gutsy; urgency=low

  * Initial release.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 22 May 2007 11:04:11 +0200
