=== debian/control ===
Source: libgdamm3.0
Section: devel
Priority: extra
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Build-Depends: cdbs (>= 0.4.48),
               chrpath,
               debhelper (>= 5),
               gnome-pkg-tools,
               libglibmm-2.4-dev (>= 2.12.8),
               libgda3-dev (>= 3.0.0),
	       libsqlite3-dev
Standards-Version: 3.7.3

Package: libgdamm3.0-10
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ wrappers for libgda3
 libgdamm is a set of C++ bindings for the libgda3 database API.
 libgda is the GNU Data Access library.
 .
 This package contains the shared library.

Package: libgdamm3.0-dev
Architecture: any
Section: libdevel
Conflicts: libgdamm-3.0-dev
Replaces: libgdamm-3.0-dev
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgdamm3.0-10 (= ${binary:Version}),
         libglibmm-2.4-dev (>= 2.12.8),
         libgda3-dev (>= 3.0.0)
Suggests: libgdamm3.0-doc
Description: C++ wrappers for libgda3 (library headers)
 libgdamm is a set of C++ bindings for the libgda database API.
 libgda is the GNU Data Access library.
 .
 This package contains the library headers.

Package: libgdamm3.0-doc
Section: doc
Conflicts: libgdamm-3.0-doc
Replaces: libgdamm-3.0-doc
Depends: ${misc:Depends},
         doc-base
Suggests: libgdamm3.0-dev
Architecture: all
Description: C++ wrappers for libgda3 (documentation)
 libgdamm is a set of C++ bindings for the libgda database API.
 libgda is the GNU Data Access library.
 .
 This package contains the documentation.
