=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := libgdamm

SHARED_PKG := $(shell sed -rn 's/Package:[[:space:]]*(libgdamm[0-9\.]+-[0-9][0-9a-z]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/Package:[[:space:]]*(libgdamm[0-9\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 3.0.0

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
DEB_INSTALL_DOCS_$(DOC_PKG) += -XMakefile -XDoxyfile
DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

# chrpath hack to get rid of amd64 rpath
common-install-impl::
	chrpath -d $(DEB_DH_INSTALL_SOURCEDIR)/usr/lib/*.so*
